UMOUNT(8)

NUME
umount - demontează sistemele de fișiere

REZUMAT

umount -a [-dflnrv] [-t tip-sistem-fișiere] [-O opțiune...]

umount [-dflnrv] {director|dispozitiv}

umount -h|-V

DESCRIERE

Comanda umount detașează sistemul (sistemele) de fișiere menționat(e) din ierarhia de fișiere. Un sistem de fișiere este specificat prin indicarea directorului în care a fost montat. Poate funcționa și indicarea dispozitivului special pe care se află sistemul de fișiere, dar este învechită, în special pentru că va eșua în cazul în care acest dispozitiv a fost montat pe mai multe directoare.

Rețineți că un sistem de fișiere nu poate fi demontat atunci când este „ocupat” - de exemplu, atunci când există fișiere deschise pe el, când un proces își are directorul de lucru acolo sau când este utilizat un fișier de spațiu de interschimb din el. Procesul incriminat ar putea fi chiar umount însuși - acesta deschide libc, iar libc, la rândul său, poate deschide, de exemplu, fișiere locale. O demontare leneșă evită această problemă, dar poate introduce alte probleme. A se vedea descrierea --lazy de mai jos.

OPȚIUNI

-a, --all
    Toate sistemele de fișiere descrise în /proc/self/mountinfo (sau în /etc/mtab) sunt demontate, cu excepția sistemelor de fișiere proc, devfs, devpts, sysfs, rpc_pipefs și nfsd. Această listă a sistemelor de fișiere poate fi înlocuită de opțiunea --types a «umount».

-A, --all-targets
    Demontează toate punctele de montare din spațiul de nume de montare curent pentru sistemul de fișiere specificat. Sistemul de fișiere poate fi specificat printr-unul dintre punctele de montare sau prin numele dispozitivului (sau UUID etc.). Atunci când această opțiune este utilizată împreună cu --recursive, toate punctele de montare imbricate din cadrul sistemului de fișiere sunt demontate în mod recursiv. Această opțiune este acceptată numai pe sistemele în care /etc/mtab este o legătură simbolică către /proc/mounts.

-c, --no-canonicalize
    Nu canonizează rutele. Canonizarea rutelor se bazează pe apelurile de sistem stat(2) și readlink(2). Aceste apeluri de sistem se pot bloca în unele cazuri (de exemplu, în NFS, dacă serverul nu este disponibil). Opțiunea trebuie să fie utilizată cu ruta canonică a punctului de montare.

    Această opțiune este ignorată în mod silențios de umount pentru utilizatorii fără drepturi de root.

    Pentru mai multe detalii despre această opțiune, consultați pagina de manual mount(8). Rețineți că umount nu pasează această opțiune către asistenții /sbin/umount.tip.

-d, --detach-loop
    În cazul în care dispozitivul demontat a fost un dispozitiv în buclă, eliberează și acest dispozitiv în buclă. Această opțiune nu este necesară pentru dispozitivele inițializate prin mount(8), în acest caz funcționalitatea „autoclear” (autocurățare) este activată în mod implicit.

--fake
    Determină ca totul să fie făcut cu excepția apelului de sistem sau a executării asistentului de umount; acest lucru „simulează” demontarea sistemului de fișiere. Poate fi utilizată pentru a elimina intrările din /etc/mtab, care au fost demontate anterior cu opțiunea -n.

-f, --force
    Forțează o demontare (în cazul unui sistem NFS inaccesibil).

    Rețineți că această opțiune nu garantează faptul că această comandă umount nu se blochează. Se recomandă cu tărie utilizarea rutelor absolute, fără legături simbolice, pentru a evita apelurile de sistem nedorite readlink(2) și stat(2) pe NFS, inaccesibile în umount.

-i, --internal-only
    Nu apelează asistentul /sbin/umount.sistem-fișiere chiar dacă există. În mod implicit, un astfel de program auxiliar este apelat dacă există.

-l, --lazy
    Demontare leneșă. Detașează acum sistemul de fișiere din ierarhia de fișiere și curăță toate referințele la acest sistem de fișiere de îndată ce nu mai este ocupat.

    O repornire a sistemului va fi așteptată în viitorul apropiat dacă veți utiliza această opțiune pentru un sistem de fișiere de rețea sau un sistem de fișiere local cu submontări. Cazul de utilizare recomandat pentru umount -l este acela de a preveni blocajele la închidere din cauza unui partaj de rețea inaccesibil, în cazul în care un umount normal se va bloca din cauza unui server oprit sau a unei partiții de rețea. Nu va fi posibilă remontarea partajului.

-N, --namespace spațiu-nume
    Efectuează operația de demontare umount în spațiul de nume de montare specificat de spațiu-nume. spațiu-nume este fie PID-ul procesului care rulează în acel spațiu de nume, fie un fișier special care reprezintă acel spațiu de nume.

    umount trece la spațiul de nume atunci când citește /etc/fstab, scrie /etc/mtab (sau scrie în /run/mount) și apelează apelul de sistem umount(2), altfel rulează în spațiul de nume original. Aceasta înseamnă că spațiul de nume de montare țintă nu trebuie să conțină nicio bibliotecă sau alte cerințe necesare pentru a executa comanda umount(2).

    Pentru mai multe informații, consultați mount_namespaces(7).

-n, --no-mtab
    Demontează fără a scrie în /etc/mtab.

-O, --test-opts opțiune...
    Demontează numai sistemele de fișiere care au opțiunea specificată în /etc/fstab. Se pot specifica mai multe opțiuni într-o listă separată prin virgule. Fiecare opțiune poate fi prefixată cu no pentru a indica faptul că nu trebuie întreprinsă nicio acțiune pentru această opțiune.

-q, --quiet
    Suprimă mesajele de eroare „nu este montat” (not mounted).

-R, --recursive
    Demontează recursiv fiecare director specificat. Recursivitatea pentru fiecare director se va opri dacă o operațiune de demontare din lanț eșuează din orice motiv. Relația dintre punctele de montare este determinată de intrările /proc/self/mountinfo. Sistemul de fișiere trebuie să fie specificat prin ruta punctului de montare; o demontare recursivă prin numele dispozitivului (sau UUID) nu este acceptată. Începând cu versiunea 2.37, se demontează și toate sistemele de fișiere supramontate (mai multe sisteme de fișiere pe același punct de montare).

-r, --read-only
    Când o demontare eșuează, încearcă să remonteze sistemul de fișiere numai-pentru-citire.

-t, --types tip...
    Indică faptul că acțiunile trebuie întreprinse numai pe sistemele de fișiere de tipul specificat. Se pot specifica mai multe tipuri într-o listă despărțită prin virgule. Lista tipurilor de sisteme de fișiere poate fi prefixată cu no pentru a indica faptul că nu trebuie întreprinsă nicio acțiune pentru toate tipurile menționate. Rețineți că umount citește informații despre sistemele de fișiere montate din kernel (/proc/mounts) și că numele sistemelor de fișiere pot fi diferite de numele sistemelor de fișiere utilizate în /etc/fstab (de exemplu, „nfs4” vs. „nfs”).

-v, --verbose
    Modul super-descriptiv.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

DEMONTĂRI NON-SUPERUTILIZATOR

În mod normal, numai superutilizatorul poate demonta sistemele de fișiere. Cu toate acestea, atunci când fișierul fstab conține opțiunea user pe o linie, oricine poate demonta sistemul de fișiere corespunzător. Pentru mai multe detalii, consultați pagina de manual mount(8).

Începând cu versiunea 2.34, comanda umount poate fi utilizată pentru a efectua operația umount și pentru sistemele de fișiere fuse dacă tabelul de montare din nucleu conține ID-ul utilizatorului. În acest caz, opțiunea de montare fstab user= nu este necesară.

Începând cu versiunea 2.35, comanda umount nu mai iese atunci când permisiunile utilizatorului sunt inadecvate conform regulilor de securitate interne libmount. Aceasta renunță la permisiunile suid și continuă ca utilizator normal, care nu este root. Acest lucru poate fi utilizat pentru a accepta cazuri de utilizare în care permisiunile de root nu sunt necesare (de exemplu, sisteme de fișiere fuse, spații de nume de utilizator etc.).

DISPOZITIV DE BUCLĂ

Comanda umount va detașa automat dispozitivul de buclă inițializat anterior prin comanda mount(8), independent de /etc/mtab.

În acest caz, dispozitivul este inițializat cu fanionul „autoclear” (a se vedea pagina de manual losetup(8) pentru mai multe detalii), altfel este necesar să se utilizeze opțiunea --detach-loop sau să se apeleze losetup -d device. Caracteristica „autoclear” este implementată începând cu Linux 2.6.25.

Rețineți că, începând cu Linux v3.7, nucleul utilizează „distrugerea leneșă a dispozitivelor”. Sistemul marchează pur și simplu dispozitivul de buclă prin fanionul „autoclear” și îl distruge ulterior. Dacă trebuie să așteptați eliminarea completă a dispozitivului buclei, apelați udevadm settle după umount.

STARE DE IEȘIRE

umount are următoarele valori ale stării de ieșire (biții pot fi combinați prin OR):

0
    succes

1
    invocare sau permisiuni incorecte

2
    eroare de sistem (lipsă de memorie, nu se poate crea o bifurcare, nu mai există dispozitive de buclă)

4
    eroare mount internă

8
    întrerupere a utilizatorului

16
    probleme la scrierea sau blocarea /etc/mtab

32
    montare eșuată

64
    unele demontări au reușit

    Comanda unmount -a returnează 0 (toate au reușit), 32 (toate au eșuat) sau 64 (unele au eșuat, altele au reușit).

126
    nu s-a putut executa asistentul de montare extern /sbin/umount.<type> (de la util-linux v2.41)

ASISTENȚI EXTERNI

Sintaxa asistenților externi de demontare este:

    umount.suffx {director|dispozitiv} [-flnrv] [-N spațiu-nume] [-t tip.subtip]

unde sufix este tipul sistemului de fișiere (sau valoarea unui identificator uhelper= sau helper= din fișierul mtab). Opțiunea -t poate fi utilizată pentru sistemele de fișiere care au suport pentru subtipuri. De exemplu:

    umount.fuse -t fuse.sshfs

Un marcaj uhelper=ceva (asistent fără privilegii) poate apărea în fișierul /etc/mtab atunci când utilizatorii obișnuiți trebuie să poată demonta un punct de montare care nu este definit în /etc/fstab (de exemplu, pentru un dispozitiv care a fost montat de udisks(1)).

Un marcaj helper=tip în fișierul mtab va redirecționa toate cererile de demontare către asistentul /sbin/umount.tip independent de UID.

Rețineți că /etc/mtab este în prezent depreciat, iar helper= și alte opțiuni de montare în spațiul utilizatorului sunt menținute de libmount.

Valoarea stării de ieșire a asistentului este returnată ca stare de ieșire a programului umount(8). Valoarea 126 este utilizată dacă programul auxiliar mount este găsit, dar execl() a eșuat.

MEDIU

LIBMOUNT_FSTAB=<ruta>
    suprascrie locația implicită a fișierului fstab (ignorată pentru suid)

LIBMOUNT_DEBUG=all
    activează ieșirea de depanare a libmount

FIȘIERE

/etc/mtab
    tabel de sisteme de fișiere montate (depreciat și de obicei înlocuit cu o legătură simbolică către /proc/mounts)

/etc/fstab
    tabelul cu sistemele de fișiere cunoscute

/proc/self/mountinfo
    tabelul cu sistemele de fișiere montate generat de nucleu.

ISTORIC

Comanda umount a apărut în versiunea 6 AT&T UNIX.

CONSULTAȚI ȘI

umount(2), losetup(8), mount_namespaces(7), mount(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda umount face parte din pachetul util-linux care poate fi descărcat de la